EDIT - feature request #3683

add /etc/default/cdmserver to debian package
08/28/2013 06:18 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmserver Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

see #3673 (edit-production: update /etc/defaults/cdmserver to include the improved jvm settings) and

http://cybertaxonomy.eu/cdmserver-installation for examples

* provide-a-section-forjdk—-6-and-forjdk—-7 we only support jdk 1.8 by now

¢ Should it contain an optional section on the yourkit profiler agent? If we decide on that the file must contain the following

snipped (see also #4797): ---> REJECTED!

Enable remote profiling with yourkit
JDKT7:

add the below option to the JAVA_OPTIONS:

e

—XX:-UseSplitVerifier
#
#export LD_LIBRARY_PATH=/opt/yjp-9.0.8

To avoid the Java.lang.VerifyError: 'Expecting a stackmap frame at branch target'

#JAVA_OPTIONS="$JAVA_OPTIONS -XX:-UseSplitVerifier -agentlib:yjpagent"

consider solving #5792 at the same time

Related issues:
Related to EDIT - bug #8682: cdm-server debian packages configured for jemalloc

Closed

Associated revisions

Revision 2fb99eb9 - 06/16/2020 01:35 PM - Andreas Kohlbecker

fix #3683 adding /etc/default/cdmserver to deb package also cleaning up & improving

History

#1 - 05/11/2016 05:05 PM - Andreas Kohlbecker

- Target version set to Unassigned CDM tickets

#2 - 06/12/2018 02:13 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#3 - 11/14/2019 04:44 PM - Andreas Kohlbecker

- Related to bug #8682: cdm-server debian packages configured for jemalloc added

#4 - 06/16/2020 01:36 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-server|2fb99eb9e93faf8769f8ea22cadb12caea3c30b1.
http://cybertaxonomy.eu/cdmserver-installation
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-server/revisions/2fb99eb9e93faf8769f8ea22cadb12caea3c30b1

#5 - 06/16/2020 01:37 PM - Andreas Kohlbecker
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.15

done. Ticket can be closed when there are no problems on the test and int server.

#6 - 06/16/2020 01:38 PM - Andreas Kohlbecker

- Description updated

#7 - 06/18/2020 03:27 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

can be closed

04/20/2024

22


http://www.tcpdf.org

